<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
    <component>
        <name>org.richfaces.SimpleTogglePanel</name>
        <family>org.richfaces.SimpleTogglePanel</family>
        <classname>org.richfaces.component.html.HtmlSimpleTogglePanel</classname>
        <superclass>org.richfaces.component.UISimpleTogglePanel</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlSimpleTogglePanelComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
        <description>
            <![CDATA[Wrapper component with named facets. Every facet will be shown after activation
            corresponding toggleControl(the other will be hidden).
             ]]>
        </description>
        <renderer generate="true" override="true">
            <name>org.richfaces.SimpleTogglePanelRenderer</name>
            <template>simpleTogglePanel.jspx</template>
        </renderer>
        <tag>
            <name>simpleTogglePanel</name>
            <classname>org.richfaces.taglib.SimpleTogglePanelTag</classname>
            <superclass>
                org.richfaces.taglib.SimpleTogglePanelTagBase
            </superclass>
        </tag>
		<taghandler generate="true">
			<classname>org.richfaces.taglib.SimpleTogglePanelTagHandler</classname>
			<superclass>
				org.richfaces.taglib.SimpleTogglePanelTagHandlerBase
			</superclass>
		</taghandler>

        &ui_component_attributes;
        &html_events;
        &html_style_attributes;

        &ui_command_attributes;
        &ajax_component_attributes;
        &html_event_handler_attributes;
        
        <property>
	    	<name>width</name>
	    	<classname>java.lang.String</classname>
	    	<description>Width of a simple toggle panel might be defined as pixels or in percents.
	    	By default width is not defined
	    	</description>	
	    	<defaultvalue><![CDATA[""]]></defaultvalue>    	
	    </property>
		<property>
			<name>actionExpression</name>
			<classname>java.lang.String</classname>
			<description>The action method binding expression</description>
		</property>
    	<property>
	    	<name>height</name>
	    	<classname>java.lang.String</classname>
	    	<description>
	    		Height of a simple toggle panel content area might be defined as pixels or in percents.
	    		By default height is not defined
	    	</description>	    	
	    </property>

        <property>
            <name>headerClass</name>
            <classname>java.lang.String</classname>
            <description>
                Class that defines the style for panel header
            </description>
        </property>

        <property>
            <name>bodyClass</name>
            <classname>java.lang.String</classname>
            <description>
                A class that defines a style for a panel content
            </description>
        </property>

        <property required="false">
            <name>switchType</name>
            <classname>java.lang.String</classname>
            <description>
                <![CDATA[Facets switch algorithm: "client", "server"(default), "ajax"]]>
            </description>
        </property>
        <property required="false">
            <name>label</name>
            <classname>java.lang.String</classname>
            <description>Marker to be rendered on a panel header

            </description>
        </property>

		<property required="false">
			<name>opened</name>			
			<classname>boolean</classname>
			<description>
				A false value for this attribute makes a panel closed as default
			</description>
			<defaultvalue>true</defaultvalue>
		</property>


    </component>
</components>
